Request a partially signed purchase quote given the wallet public key and required TxLINE amount in whole units
curl --request POST \
--url https://txline.txodds.com/api/guest/purchase/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"buyerPubkey": "5kb6gnsSu1inDF9nCVV3WcgKryyBFGFkrYS28Sp1avS8mq6Xcw6iq3yzkBTjmq8bGptgqYTXPmjyWECzKzUxYG3C",
"txlineAmount": 50
}
'import requests
url = "https://txline.txodds.com/api/guest/purchase/quote"
payload = {
"buyerPubkey": "5kb6gnsSu1inDF9nCVV3WcgKryyBFGFkrYS28Sp1avS8mq6Xcw6iq3yzkBTjmq8bGptgqYTXPmjyWECzKzUxYG3C",
"txlineAmount": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
buyerPubkey: '5kb6gnsSu1inDF9nCVV3WcgKryyBFGFkrYS28Sp1avS8mq6Xcw6iq3yzkBTjmq8bGptgqYTXPmjyWECzKzUxYG3C',
txlineAmount: 50
})
};
fetch('https://txline.txodds.com/api/guest/purchase/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionBase64": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAA...",
"baseUsdtCost": 0.05,
"feeUsdtAmount": 0,
"totalUsdtCharged": 0.05
}"<string>""<string>""<string>"Purchase
Request a partially signed purchase quote given the wallet public key and required TxLINE amount in whole units
Authorize and generate a partially signed Solana transaction for purchasing TxLINE utility tokens.
Pricing & Fees:
- Base Rate: 1,000 TxLINE = 1 USDT
- Premium/Markup: Currently 0% (0 basis points)
Prerequisites:
- The
buyerPubkeywallet must hold an active Associated Token Account (ATA) for USDT. - The wallet must have a sufficient USDT balance to cover the total quoted cost.
The response includes a financial breakdown of the exact base cost and any applied premium fees. The returned transaction payload must be signed by the user’s wallet before submission.
POST
/
api
/
guest
/
purchase
/
quote
Request a partially signed purchase quote given the wallet public key and required TxLINE amount in whole units
Authorizations
User's session JWT.
Headers
Bearer token for the guest session JWT.
Body
application/json
Response
The partially signed transaction payload alongside the explicit USDT fee breakdown.
Was this page helpful?